org.wildfly.swarm.config.elytron

## Class KeyManager<T extends KeyManager<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.KeyManager<T>

-     public class KeyManager<T extends KeyManager<T>>
      extends Object

  A key manager definition for creating the KeyManager as used to create an SSLContext.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyManager(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `algorithm()` The name of the algorithm to use to create the underlying KeyManagerFactory.
    `T` | `algorithm(String value)` The name of the algorithm to use to create the underlying KeyManagerFactory.
    `String` | `aliasFilter()` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `T` | `aliasFilter(String value)` A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2
    `Map` | `credentialReference()` The credential reference to decrypt KeyStore item.
    `T` | `credentialReference(Map value)` The credential reference to decrypt KeyStore item.
    `T` | `credentialReference(String key, Object value)` The credential reference to decrypt KeyStore item.
    `String` | `getKey()`
    `String` | `keyStore()` Reference to the KeyStore to use to initialise the underlying KeyManagerFactory.
    `T` | `keyStore(String value)` Reference to the KeyStore to use to initialise the underlying KeyManagerFactory.
    `String` | `providerName()` The name of the provider to use to create the underlying KeyManagerFactory.
    `T` | `providerName(String value)` The name of the provider to use to create the underlying KeyManagerFactory.
    `String` | `providers()` Reference to obtain the Provider[] to use when creating the underlying KeyManagerFactory.
    `T` | `providers(String value)` Reference to obtain the Provider[] to use when creating the underlying KeyManagerFactory.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyManager

          public KeyManager(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### algorithm

          public String algorithm()

      The name of the algorithm to use to create the underlying KeyManagerFactory.

    - #### algorithm

          public T algorithm(String value)

      The name of the algorithm to use to create the underlying KeyManagerFactory.

    - #### aliasFilter

          public String aliasFilter()

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### aliasFilter

          public T aliasFilter(String value)

      A filter to apply to the aliases returned from the KeyStore, can either be a comma separated list of aliases to return or one of the following formats ALL:-alias1:-alias2, NONE:+alias1:+alias2

    - #### credentialReference

          public Map credentialReference()

      The credential reference to decrypt KeyStore item. (Not a password of the KeyStore.)

    - #### credentialReference

          public T credentialReference(Map value)

      The credential reference to decrypt KeyStore item. (Not a password of the KeyStore.)

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The credential reference to decrypt KeyStore item. (Not a password of the KeyStore.)

    - #### keyStore

          public String keyStore()

      Reference to the KeyStore to use to initialise the underlying KeyManagerFactory.

    - #### keyStore

          public T keyStore(String value)

      Reference to the KeyStore to use to initialise the underlying KeyManagerFactory.

    - #### providerName

          public String providerName()

      The name of the provider to use to create the underlying KeyManagerFactory.

    - #### providerName

          public T providerName(String value)

      The name of the provider to use to create the underlying KeyManagerFactory.

    - #### providers

          public String providers()

      Reference to obtain the Provider[] to use when creating the underlying KeyManagerFactory.

    - #### providers

          public T providers(String value)

      Reference to obtain the Provider[] to use when creating the underlying KeyManagerFactory.

Copyright © 2018 JBoss by Red Hat. All rights reserved.